# README #

### What is this repository for? ###

It is the MATLAB codes for generating the random samples from Von-Mises Fisher and Watson distribution. The code is part of the work in the following papers:

Chen, Yu-Hui, et al. "[Parameter estimation in spherical symmetry groups.](http://ieeexplore.ieee.org/xpls/abs_all.jsp?arnumber=7001052)" *Signal Processing Letters, IEEE* 22.8 (2015): 1152-1155.

Chen, Yu-Hui, et al. "[Statistical Estimation and Clustering of Group-invariant Orientation Parameters.](http://arxiv.org/abs/1503.04474)" *International Conference on Information Fusion* (2015 in press)


### Installation ###

The code is self-packed so it does not need any installation. One just need to add the path to the folder using "addpath" in MATLAB to use the functions. Every function has its own testcase, named with "_test" extension. The testcases show simple example of how to use these functions.
The two main functions which generate the VMF and Watson random samples are:

* randVMF
* randWatson


### Contact Info ###

The repository is created and owned by **Yu-Hui Chen** @ University of Michigan from professor [Alfred Hero](http://web.eecs.umich.edu/~hero/)'s group.

If you have any question or found any bug about the code, please contact me through:
*yuhuic@umich.edu*

More information could be find on our lab's [wiki page](http://tbayes.eecs.umich.edu/start).